सामग्री पर जाएँ

Maya1

इंटीग्रेट करें

मॉडल id maya
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/maya?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "prompt": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.049 49 API क्रेडिट · ≈ ₽5.17 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Maya Research टेक्स्ट से स्पीच #text-to-speech#tts

वॉइस विवरण प्रॉम्प्ट और इनलाइन भावना टैग वाला अभिव्यंजक टेक्स्ट-टू-स्पीच

Maya Research · ऑडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 50 / 5000

Speech-synthesis टेक्स्ट, जो किसी भी स्थान पर <emotion_name> के रूप में emotion tags की अनुमति देता है, जैसे 'Hello world! <excited> This is amazing!' या 'I can't believe this <sigh> happened again.'. समर्थित emotions हैं curious, sarcastic, giggle, gulp, exhale, snort, sing, scream, cry, whisper, excited, angry, gasp, chuckle, sigh, laugh_harder और laugh।

•आवश्यक 50 / 500

वर्णित किए जाने वाले voice या character traits, जैसे intensity, tone, pacing, timbre, pitch, accent और age।

उन्नत sample_rate · output_format · temperature · top_p · max_tokens · repetition_penalty · enable_safety_checker
sample_rate डिफ़ॉल्ट 48 kHz

ऑडियो sample-rate का विकल्प: तेज़ प्रोसेसिंग के लिए 24 kHz और उच्च-गुणवत्ता वाले आउटपुट के लिए 48 kHz।

output_format डिफ़ॉल्ट wav

संश्लेषित speech के लिए उपयोग किया गया ऑडियो फ़ाइल फ़ॉर्मैट।

डिफ़ॉल्ट 0.4

ऑडियो विविधता नियंत्रित करने वाला sampling temperature: इसे बढ़ाने पर अधिक विविधता आती है, जबकि 0.2–0.5 की निम्न range स्थिरता और एकरूपता को प्राथमिकता देती है।

डिफ़ॉल्ट 0.9

टोकन-चयन की विविधता समायोजित करने वाली nucleus sampling सेटिंग।

डिफ़ॉल्ट 2000

ऑडियो अवधि की सीमा तय करने वाला SNAC टोकन बजट, जिसकी गणना प्रत्येक फ़्रेम के लिए 7 टोकन के आधार पर की जाती है।

डिफ़ॉल्ट 1.1

टोकन दोहराव पर लागू किया गया penalty। इसे बढ़ाने पर दोहराव संबंधी artifacts दबते हैं।

POST /run/maya?wait=20 कोटेशन → $0.049
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/maya?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "prompt": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Maya1 के बारे में

अधिकतम 5000 वर्णों वाले टेक्स्ट को स्पीच में बदलता है। आवश्यक `prompt`, जिसकी अधिकतम लंबाई 500 वर्ण है, आवाज़ का विवरण देता है, जैसे उम्र, उच्चारण और टोन। laugh या whisper जैसे भावना टैग टेक्स्ट में एम्बेड किए जा सकते हैं। 48 kHz या 24 kHz सैंपल रेट और wav या mp3 आउटपुट चुनें; `max_tokens` ऑडियो की लंबाई सीमित करता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
textआवश्यक
प्रकारstring
≤ 5,000 अक्षर
Speech-synthesis टेक्स्ट, जो किसी भी स्थान पर <emotion_name> के रूप में emotion tags की अनुमति देता है, जैसे 'Hello world! <excited> This is amazing!' या 'I can't believe this <sigh> happened again.'. समर्थित emotions हैं curious, sarcastic, giggle, gulp, exhale, snort, sing, scream, cry, whisper, excited, angry, gasp, chuckle, sigh, laugh_harder और laugh।
promptआवश्यक
प्रकारstring
≤ 500 अक्षर
वर्णित किए जाने वाले voice या character traits, जैसे intensity, tone, pacing, timbre, pitch, accent और age।
temperatureवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.4
0 – 2
ऑडियो विविधता नियंत्रित करने वाला sampling temperature: इसे बढ़ाने पर अधिक विविधता आती है, जबकि 0.2–0.5 की निम्न range स्थिरता और एकरूपता को प्राथमिकता देती है।
top_pवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.9
0 – 1
टोकन-चयन की विविधता समायोजित करने वाली nucleus sampling सेटिंग।
max_tokensवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट2000
28 – 4,000
ऑडियो अवधि की सीमा तय करने वाला SNAC टोकन बजट, जिसकी गणना प्रत्येक फ़्रेम के लिए 7 टोकन के आधार पर की जाती है।
repetition_penaltyवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1.1
1 – 2
टोकन दोहराव पर लागू किया गया penalty। इसे बढ़ाने पर दोहराव संबंधी artifacts दबते हैं।
sample_rateवैकल्पिक
प्रकारenum
डिफ़ॉल्ट48 kHz
48 kHz24 kHz
ऑडियो sample-rate का विकल्प: तेज़ प्रोसेसिंग के लिए 24 kHz और उच्च-गुणवत्ता वाले आउटपुट के लिए 48 kHz।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टwav
wavmp3
संश्लेषित speech के लिए उपयोग किया गया ऑडियो फ़ाइल फ़ॉर्मैट।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "maya",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 49,
    "usd": "0.049",
    "charged": 49,
    "refunded": 0
  },
  "input": {
    "text": "Hello from Doitong. This is a short test sentence.",
    "prompt": "Hello from Doitong. This is a short test sentence."
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "duration": 5,
    "sample_rate": "48 kHz",
    "generation_time": 2.3,
    "rtf": 0.51
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
audio
object {url, content_type, file_name, file_size}WAV या MP3 में निर्मित speech फ़ाइल, जिसमें upsampler द्वारा निर्धारित 24 kHz या 48 kHz पर mono ऑडियो होता है।
duration
numberऑडियो आउटपुट की अवधि, सेकंड में मापी गई।
sample_rate
stringऑडियो आउटपुट की sampling rate।
generation_time
numberऑडियो निर्माण का समय, सेकंड में मापा गया।
rtf
numberaudio_duration से विभाजित generation_time के रूप में गणना किया गया real-time factor; छोटे मान बेहतर प्रदर्शन दर्शाते हैं।

और मॉडल: टेक्स्ट से स्पीच

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/maya.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt